

local QuickVoiceData = {
--common
[0] = {
	-- 快捷语音Common页总条数
	["count"] = 4,
	
	-- 快捷语音显示文本
	["text"] = {
		[0] = "STR_QUICK_VOICE_COMMON_0",
		[1] = "STR_QUICK_VOICE_COMMON_1",
		[2] = "STR_QUICK_VOICE_COMMON_2",
		[3] = "STR_QUICK_VOICE_COMMON_4",
	},
	
	-- 快捷语音显示文本对应语音文件
	["sound"] = {
		--local E_LANGUAGE_ARB = 1 -- 阿语
		--local E_LANGUAGE_EN = 2	-- 英语
		--local E_LANGUAGE_SP = 3	-- 西语
		--local E_LANGUAGE_FR = 4	-- 法语
		--local E_LANGUAGE_CN = 5	-- 中文
		--local E_LANGUAGE_TA = 7	-- 他加禄
		--local E_LANGUAGE_UNKNOW = 6
		[0] = {[1] = "sound/0_ar.wav", [2] = "sound/0_en.wav", [7] = "sound/0_b.wav" },	
		[1] = {[1] = "sound/1_ar.wav", [2] = "sound/1_en.wav", [7] = "sound/1_b.wav" },
		[2] = {[1] = "sound/2_ar.wav", [2] = "sound/2_en.wav", [7] = "sound/2_b.wav" },
		[3] = {[1] = "sound/3_ar.wav", [2] = "sound/3_en.wav", [7] = "sound/3_b.wav" },
	},
},

--lose
[1] = {
	["count"] = 3,
	["text"] = {
		[0] = "STR_QUICK_VOICE_LOSE_0",
		[1] = "STR_QUICK_VOICE_LOSE_1",
		[2] = "STR_QUICK_VOICE_LOSE_2",
	},
	
	["sound"] = {
		[0] = {[1] = "sound/0_ar.wav", [2] = "sound/0_en.wav", [7] = "sound/0_b.wav" },	
		[1] = {[1] = "sound/1_ar.wav", [2] = "sound/1_en.wav", [7] = "sound/1_b.wav" },
		[2] = {[1] = "sound/2_ar.wav", [2] = "sound/2_en.wav", [7] = "sound/2_b.wav" },
	},
},

--win
[2] = {
	["count"] = 3,
	["text"] = {
		[0] = "STR_QUICK_VOICE_WIN_0",
		[1] = "STR_QUICK_VOICE_WIN_1",
		[2] = "STR_QUICK_VOICE_WIN_2",
	},
	
	["sound"] = {
		[0] = {[1] = "sound/0_ar.wav", [2] = "sound/0_en.wav", [7] = "sound/0_b.wav" },	
		[1] = {[1] = "sound/1_ar.wav", [2] = "sound/1_en.wav", [7] = "sound/1_b.wav" },
		[2] = {[1] = "sound/2_ar.wav", [2] = "sound/2_en.wav", [7] = "sound/2_b.wav" },
	},
},
}

local function GetCount(Mode)
	if QuickVoiceData[Mode] == nil or QuickVoiceData[Mode]["count"] == nil then
		return 0
	end
	
    return QuickVoiceData[Mode]["count"]
end

local function GetText(Mode, Index)
	if QuickVoiceData[Mode] == nil or QuickVoiceData[Mode]["text"] == nil or QuickVoiceData[Mode]["text"][Index] == nil then
		return ""
	end
	
    return QuickVoiceData[Mode]["text"][Index]
end

local function GetSound(Mode, Index, Language)
	if QuickVoiceData[Mode] == nil or QuickVoiceData[Mode]["sound"] == nil or QuickVoiceData[Mode]["sound"][Index] == nil or QuickVoiceData[Mode]["sound"][Index][Language] == nil then
		return ""
	end
	
    return QuickVoiceData[Mode]["sound"][Index][Language]
end

-- 清理变量释放内存
local function Unload()
    QuickTextData = nil
end

local QuickVoice = {
    GetCount = GetCount,
    GetText = GetText,
	GetSound = GetSound,
    Unload = Unload,
}

-- C++程序使用的global函数名
QuickVoice_GetCount = QuickVoice.GetCount
QuickVoice_GetText = QuickVoice.GetText
QuickVoice_GetSound = QuickVoice.GetSound
QuickVoice_Unload = QuickVoice.Unload

-- require返回值
return QuickVoice